package cz.muni.fi.pa165.rest;

import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

/**
 * We add an interceptor to the application to rewrite headers
 * to accept methods such as POST and PUT
 * for this reason we need to provide this configuration class
 * in which we register our custom interceptor 
 * 
 */
@Configuration
public class Config extends WebMvcConfigurerAdapter {

    @Override
    public void addInterceptors(InterceptorRegistry registry){
         registry.addInterceptor(new SasAllowOriginInterceptor());
    }
}
